package com.goer.project.model.modelDbs.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.goer.framework.aspectj.lang.annotation.Excel;
import com.goer.framework.web.domain.BaseEntity;

/**
 * 模型对象数据库配置对象 t_model_dbs
 * 
 * @author goer
 * @date 2022-01-17
 */
public class ModelDbs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 模型对象id */
    @Excel(name = "模型对象id")
    private Long projectId;

    /** 数据库名称 */
    @Excel(name = "数据库名称")
    private String dbName;

    /** 是否默认 */
    @Excel(name = "是否默认")
    private String defaultDb;

    /** driverClass */
    @Excel(name = "driverClass")
    private String driverClassName;

    /** URL */
    @Excel(name = "URL")
    private String url;

    /** 用户名 */
    @Excel(name = "用户名")
    private String userName;

    /** 密码 */
    @Excel(name = "密码")
    private String password;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setProjectId(Long projectId)
    {
        this.projectId = projectId;
    }
    public Long getProjectId()
    {
        return projectId;
    }

    public void setDbName(String dbName)
    {
        this.dbName = dbName;
    }

    public String getDbName()
    {
        return dbName;
    }
    public void setDefaultDb(String defaultDb)
    {
        this.defaultDb = defaultDb;
    }

    public String getDefaultDb()
    {
        return defaultDb;
    }
    public void setDriverClassName(String driverClassName)
    {
        this.driverClassName = driverClassName;
    }

    public String getDriverClassName()
    {
        return driverClassName;
    }
    public void setUrl(String url)
    {
        this.url = url;
    }

    public String getUrl()
    {
        return url;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }
    public void setPassword(String password)
    {
        this.password = password;
    }

    public String getPassword()
    {
        return password;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("dbName", getDbName())
            .append("defaultDb", getDefaultDb())
            .append("driverClassName", getDriverClassName())
            .append("url", getUrl())
            .append("userName", getUserName())
            .append("password", getPassword())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
